// routes/SpecialNeedRoutes.js

const express = require('express');
const router = express.Router();
const SpecialNeedController = require('../controllers/specialNeedController');

// CRUD routes
router.post('/', SpecialNeedController.createSpecialNeed); // Create
router.get('/', SpecialNeedController.getAllSpecialNeeds); // Read All
router.get('/:id', SpecialNeedController.getSpecialNeedById); // Read Single
router.put('/:id', SpecialNeedController.updateSpecialNeed); // Update
router.delete('/:id', SpecialNeedController.deleteSpecialNeed); // Delete

module.exports = router;
